# wxStringClientData Class Reference
[Containers]

`#include </home/work/projects/wx/2.9/wx/interface/wx/clntdata.h>`

Inheritance diagram for wxStringClientData:
[legend]

## Detailed Description

Predefined client data class for holding a string.

##

Library: wxBase
Category: Containers

## Public Member Functions

| wxStringClientData ()
| Default constructor.
| wxStringClientData (const wxString &data)
| Create client data with string.
const wxString & | GetData () const
| Get string client data.
void | SetData (const wxString &data)
| Set string client data.

List of all members.

## Constructor & Destructor Documentation

wxStringClientData::wxStringClientData | ( |  | ) |

Default constructor.

wxStringClientData::wxStringClientData | ( | const wxString & | data | ) |

Create client data with string.

## Member Function Documentation

const wxString& wxStringClientData::GetData | ( |  | ) | const

Get string client data.

void wxStringClientData::SetData | ( | const wxString & | data | ) |

Set string client data.

|  | [ top ]